> For the complete documentation index, see [llms.txt](https://docs.okendo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.okendo.io/merchant-rest-api/endpoints/settings.md).

# Settings

## Review Translation Settings

## POST /review\_translation\_settings

> Update Subscriber Review Translation Settings

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/review_translation_settings":{"post":{"tags":["Subscriber Review Translation Settings"],"summary":"Update Subscriber Review Translation Settings","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"isGlobalTermsBlocklistEnabled":{"type":"boolean","description":"A flag which is used to determine whether the Subscriber Review Translation Blocklist will be used when translating Reviews"},"isProductTermsBlocklistEnabled":{"type":"boolean","description":"A flag which is used to determine whether Product Review Translation Blocklist will be used when translating Reviews"}},"required":["isGlobalTermsBlocklistEnabled","isProductTermsBlocklistEnabled"]}}}},"responses":{"200":{"description":"Updated Subscriber Review Translation Settings Object","content":{"application/json":{"schema":{"type":"object","properties":{"isGlobalTermsBlocklistEnabled":{"type":"boolean","description":"A flag which is used to determine whether the Subscriber Review Translation Blocklist will be used when translating Reviews"},"isProductTermsBlocklistEnabled":{"type":"boolean","description":"A flag which is used to determine whether Product Review Translation Blocklist will be used when translating Reviews"}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## GET /review\_translation\_blocklist

> Retrieve a Subscriber Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/review_translation_blocklist":{"get":{"tags":["Subscriber Review Translation Blocklist"],"summary":"Retrieve a Subscriber Review Translation Blocklist","responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## PUT /review\_translation\_blocklist

> Create/Update a Subscriber Review Translation Blocklist with provided terms

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/review_translation_blocklist":{"put":{"tags":["Subscriber Review Translation Blocklist"],"summary":"Create/Update a Subscriber Review Translation Blocklist with provided terms","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"422":{"description":"The request was well-formed but was unable to be followed due to semantic errors.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## PATCH /review\_translation\_blocklist

> Append a list of terms to the Subscriber Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/review_translation_blocklist":{"patch":{"tags":["Subscriber Review Translation Blocklist"],"summary":"Append a list of terms to the Subscriber Review Translation Blocklist","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"422":{"description":"The request was well-formed but was unable to be followed due to semantic errors.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## DELETE /review\_translation\_blocklist

> Delete the Subscriber Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/review_translation_blocklist":{"delete":{"tags":["Subscriber Review Translation Blocklist"],"summary":"Delete the Subscriber Review Translation Blocklist","responses":{"204":{"description":"The resource was deleted successfully."},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## GET /products/{productId}/review\_translation\_blocklist

> Retrieve a Product Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/products/{productId}/review_translation_blocklist":{"get":{"tags":["Product Review Translation Blocklist"],"summary":"Retrieve a Product Review Translation Blocklist","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string","description":"The product ID prefixed by a platform identifier."}}],"responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## PUT /products/{productId}/review\_translation\_blocklist

> Create/Update a Product Review Translation Blocklist with provided terms

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/products/{productId}/review_translation_blocklist":{"put":{"tags":["Product Review Translation Blocklist"],"summary":"Create/Update a Product Review Translation Blocklist with provided terms","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string","description":"The product ID prefixed by a platform identifier."}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"422":{"description":"The request was well-formed but was unable to be followed due to semantic errors.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## PATCH /products/{productId}/review\_translation\_blocklist

> Append a list of terms to the Product Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/products/{productId}/review_translation_blocklist":{"patch":{"tags":["Product Review Translation Blocklist"],"summary":"Append a list of terms to the Product Review Translation Blocklist","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string","description":"The product ID prefixed by a platform identifier."}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"responses":{"200":{"description":"A Translation Blocklist Object","content":{"application/json":{"schema":{"type":"object","properties":{"blocklistedTerms":{"type":"array","items":{"type":"string","maxLength":2048},"description":"Array of blocklisted terms.","maxItems":100}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"422":{"description":"The request was well-formed but was unable to be followed due to semantic errors.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```

## DELETE /products/{productId}/review\_translation\_blocklist

> Delete the Product Review Translation Blocklist

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/products/{productId}/review_translation_blocklist":{"delete":{"tags":["Product Review Translation Blocklist"],"summary":"Delete the Product Review Translation Blocklist","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string","description":"The product ID prefixed by a platform identifier."}}],"responses":{"204":{"description":"The resource was deleted successfully."},"401":{"description":"Authentication credentials are missing or incorrect."},"403":{"description":"The requested resource is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.okendo.io/merchant-rest-api/endpoints/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
